required/DEV300m47 : No setting of Java context class loader in jvmaccess any more

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

required/DEV300m47 : No setting of Java context class loader in jvmaccess any more

stephan.bergmann


          Type: required
         Title: No setting of Java context class loader in jvmaccess any more
     Posted by: [hidden email]
      Affected: -
         TaskId: i99290
<http://www.openoffice.org/issues/show_bug.cgi?id=99290>
Effective from: DEV300m47


*Summary*
--------
jvmaccess/virtualmachine.hxx:
jvmaccess::VirtualMachine::AttachGuard::AttachGuard

*Description*
-------------
For performance reasons, the AttachGuard constructor no longer ensures
that the corresponding Java thread has a non-null context class
loader.  (After the cleanup of the main class path in OOo a while ago,
any code that uses the context class loader needs to set it explicitly
anyway, see
<http://blogs.sun.com/GullFOSS/entry/is_your_java_extension_ready>
etc., so removing the relevant code appears to be safe.)


Send feedback to [hidden email]



---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]